package com.goafanti.ambSystem.bo;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class InputAmbInvest {
    private Long id;

    private Long myAmbId;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "接收阿米巴编号")
    private Long otherAmbId;
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "金额")
    private BigDecimal amount;
    private String comment;
    private Integer status;
    /** 0其他 1董事长或助理*/
    private Integer roleType;

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getMyAmbId() {
        return myAmbId;
    }

    public void setMyAmbId(Long myAmbId) {
        this.myAmbId = myAmbId;
    }

    public Long getOtherAmbId() {
        return otherAmbId;
    }

    public void setOtherAmbId(Long otherAmbId) {
        this.otherAmbId = otherAmbId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
